<script>
import { onMounted, ref, watchEffect } from "vue";

export const theme = ref("light");

// Fonction pour basculer entre les thèmes
export function toggleTheme () {
  if (theme.value) {
    theme.value = theme.value === "light" ? "dark" : "light";
  }

  localStorage.setItem("theme", theme.value);
  document.body.classList.toggle("darkactive", theme.value === "dark");
};

// Mise à jour de la classe de thème en fonction de la valeur actuelle du thème
watchEffect(() => {
  watchEffectFunction ();
});

function watchEffectFunction () {

  if (typeof document !== "undefined") {
    const nuxtElement = document.getElementById("__nuxt");
    if (nuxtElement !== null) {
      nuxtElement.classList.toggle("dark", theme.value === "dark");
      document.body.classList.toggle("darkactive", theme.value === "dark");
    }
  }
}
</script>

<script setup>
// Récupération du thème depuis le localStorage au chargement de la page
onMounted(() => {
  const savedTheme = localStorage.getItem("theme");
  if (savedTheme) {
    theme.value = savedTheme;

    watchEffectFunction ();
  }
});
</script>

<template>
  <div>
    <NuxtLayout>
      <NuxtPage />
    </NuxtLayout>
  </div>
</template>
<style>
body {
  background: url("/images/bg-site.svg") no-repeat top center;
  background-size: 100%;
}

body.darkactive {
  background-color: #675f63 !important;
}

body.zones-active {
  background-color: rgba(221, 221, 221, 0.5);
}

.dark .dark-theme,
.dark footer {
  background: #7b6771;
  color: #fff;
}

.dark .mode-dark {
  color: black;
}

.dark .bg-las-image {
  color: white;
}

.dark #form_categories,
.dark #form_organizers,
.dark #form_locations,
.dark #form_prices,
.dark #form_date,
.dark #input_date_start_date,
.dark #input_date_start_hour,
.dark #input_date_end_date,
.dark #input_date_end_hour,
.dark #input_event_name,
.dark #input_event_description,
.dark #input_date_name,
.dark #input_date_description,
.dark #div_date_repeat,
.dark #holder_name,
.dark #holder_description,
.dark #holder_address_1,
.dark #holder_address_2,
.dark #holder_address_3,
.dark #holder_phone_number,
.dark #holder_email,
.dark #dropdown_links {
  color: black;
}

.dark .bg-white,
.dark input,
.dark textarea,
.dark .carousel__prev,
.dark .carousel__next {
  background: #ece6e3;
}
</style>